Bug 174261 - Missing option to disable link underline in Konsole
Summary: Missing option to disable link underline in Konsole
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal with 31 votes (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-11-04 15:16 UTC by BeteNoire
Modified: 2012-06-18 06:40 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.7


Attachments
Add option to not underline links (8.46 KB, patch)
2011-04-15 15:02 UTC, Amand Tihon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description BeteNoire 2008-11-04 15:16:53 UTC
Version:           4.1.2 (using KDE 4.1.2)
Compiler:          GCC 4.3.2 
OS:                Linux
Installed from:    Gentoo Packages

There is no option in Konsole to disable link underlining. Konsole underlines not only html links but also hostnames e.g. in Weechat or Irssi. Very annoying as this bug coresponds with another: https://bugs.kde.org/show_bug.cgi?id=154550. I'd like to disable link underlining completely, as i don't need it AT ALL. This is not a feature request because missing of that option considerably disturbs working with application.

Konsole version 2.1 from KDE 4.1.2.
Comment 1 Robert Knight 2008-11-04 19:52:40 UTC
> Very annoying as this bug coresponds with another

By 'underlining hostnames' do you mean items of the form 'username@host' or something else?

I would prefer not to make underlining optional though I will try to fix annoyances like text wrongly underlined as a link or problems like Bug #154550
Comment 2 BeteNoire 2008-11-07 04:10:06 UTC
"By 'underlining hostnames' do you mean items of the form 'username@host'"
Yes. When you move mouse cursor over that hostname it gets underlined, which is really not needed.

"I would prefer not to make underlining optional though"
Why? IIRC it was optional in KDE 3.5.x. People should have a choice if they want links underlined or not.
Comment 3 Robert Knight 2008-11-07 14:01:32 UTC
> People should have a choice if they want links underlined or not. 

I would prefer instead to make the feature unobtrusive for when people are not using it without requiring the user to turn it off/on depending on what they are doing.
Comment 4 DarkElven 2008-11-07 14:46:27 UTC
IMHO it should be done by user's choice, i really do like when i can choice instead of feature that can do that simultaneously depending on users doing...
Comment 5 BeteNoire 2009-01-22 09:11:30 UTC
Bug still hasn't been resolved in KDE 4.1.3 nor 4.1.4.
Comment 6 BeteNoire 2009-01-31 13:10:57 UTC
Not resolved in KDE 4.2.
Comment 7 BeteNoire 2009-05-11 10:41:46 UTC
Not resolved in 4.2.3, STILL.
Comment 8 BeteNoire 2009-06-11 06:00:00 UTC
Same in 4.2.4.
Comment 9 Bill Arlofski 2010-09-02 22:20:09 UTC
Yes. Please fix.

Automatic underlining is a complete visual distraction when working with scrolling logs etc. - Which as a systems administrator I often do. 

An option to "disable automatic URL underlining/linking" would be excellent.

Thank you for your consideration

--
Bill Arlofski
Reverse Polarity, LLC
Comment 10 Amand Tihon 2011-04-15 15:02:05 UTC
Created attachment 59009 [details]
Add option to not underline links

Possible implementation provided in attached patch (against current master: b88dfb4).

This patch adds a configuration item that allows to disable underlined links on mouse hover. The option is profile specific and defaults to the previous behaviour where links are underlined on hover.
Comment 11 Kurt Hindenburg 2011-04-15 17:35:48 UTC
Thanks for the patch Amand; I'll get it in for 4.7
Comment 12 Kurt Hindenburg 2011-04-16 19:41:00 UTC
Git commit 48cdd113712d9e2ebad64426429a9bfdb9b4d14e by Kurt Hindenburg.
Committed on 16/04/2011 at 19:39.
Pushed by hindenburg into branch 'master'.

Add profile option to disable underlining links.

Add a configuration item that allows disabling of the underlined links
on mouse hover. The option is profile specific and defaults to the previous
behaviour where links are underlined on hover.

Patch by Amand Tihon <amand.tihon@alrj.com>

BUG: 174261
FIXED-IN: 4.7
CCMAIL: amand.tihon@alrj.com

M  +6    -0    src/EditProfileDialog.cpp     
M  +1    -0    src/EditProfileDialog.h     
M  +10   -0    src/EditProfileDialog.ui     
M  +2    -0    src/Profile.cpp     
M  +4    -0    src/Profile.h     
M  +4    -3    src/TerminalDisplay.cpp     
M  +12   -1    src/TerminalDisplay.h     
M  +2    -0    src/ViewManager.cpp     

http://commits.kde.org/konsole/48cdd113712d9e2ebad64426429a9bfdb9b4d14e
Comment 13 Travis Evans 2012-06-18 06:40:28 UTC
Thank you for adding the option! Bug #154550 is really annoying. :-) Being able to just turn off the underlining is an acceptable workaround for me, as I don't feel that underlining links completely makes sense anyway, given that you must right-click and choose Open, rather than simply left-clicking as a typical underlined link would behave.